<template>
  <div>
    <el-dialog
      append-to-body
      top="2vh"
      width="60%"
      :visible.sync="dialogVisible"
      center
      @close="handleCancel"
    >
      <div class="el-dialog-div" style="height:80vh">
        <pending-sell-list ref="pendingSellListRef" @ok="getCheckedsell"/>
      </div>
    </el-dialog>
  </div>
</template>

<script>
    import pendingSellList from "@/views/business/cashier/pendingSellList";
    export default {
      name: "chooseSell",
      components: {pendingSellList},
      props: {
        sellList: Array,
      },
      data() {
        return {
          dialogVisible: false,
          temp:{}
        }
      },
      methods: {
        open() {
          this.dialogVisible = true
          //并获取最新值
          this.$refs.pendingSellListRef.fetchData()
        },
        getCheckedsell(sell){
          this.$emit('ok', sell)
          this.handleCancel()
        },
        handleCancel(){
          this.dialogVisible = false
        },
        submit(){

        }
      },
    }
</script>
<style scoped>

</style>
